diff options
| author | Jørgen P. Tjernø <[email protected]> | 2013-07-05 12:09:04 -0700 |
|---|---|---|
| committer | Jørgen P. Tjernø <[email protected]> | 2013-07-05 12:09:48 -0700 |
| commit | 3527e2f9f1ad7bb7fdf78a9411f7b101c6d41415 (patch) | |
| tree | c78f98d5b4e92e32d52da495d7e1689a8731ad6b /mp/src/thirdparty/protobuf-2.3.0/gtest/xcode/Scripts | |
| parent | Update text & binary attributes. (diff) | |
| download | source-sdk-2013-3527e2f9f1ad7bb7fdf78a9411f7b101c6d41415.tar.xz source-sdk-2013-3527e2f9f1ad7bb7fdf78a9411f7b101c6d41415.zip | |
Normalize line endings
Fixes issue #75.
Diffstat (limited to 'mp/src/thirdparty/protobuf-2.3.0/gtest/xcode/Scripts')
| -rw-r--r-- | mp/src/thirdparty/protobuf-2.3.0/gtest/xcode/Scripts/runtests.sh | 72 |
1 files changed, 36 insertions, 36 deletions
diff --git a/mp/src/thirdparty/protobuf-2.3.0/gtest/xcode/Scripts/runtests.sh b/mp/src/thirdparty/protobuf-2.3.0/gtest/xcode/Scripts/runtests.sh index a8f8a2d3..9d23a772 100644 --- a/mp/src/thirdparty/protobuf-2.3.0/gtest/xcode/Scripts/runtests.sh +++ b/mp/src/thirdparty/protobuf-2.3.0/gtest/xcode/Scripts/runtests.sh @@ -1,36 +1,36 @@ -#!/bin/bash
-
-# Executes the samples and tests for the Google Test Framework.
-
-# Help the dynamic linker find the path to the libraries.
-export DYLD_FRAMEWORK_PATH=$BUILT_PRODUCTS_DIR
-export DYLD_LIBRARY_PATH=$BUILT_PRODUCTS_DIR
-
-# Create some executables.
-test_executables=("$BUILT_PRODUCTS_DIR/gtest_unittest-framework"
- "$BUILT_PRODUCTS_DIR/gtest_unittest"
- "$BUILT_PRODUCTS_DIR/sample1_unittest-framework"
- "$BUILT_PRODUCTS_DIR/sample1_unittest-static")
-
-# Now execute each one in turn keeping track of how many succeeded and failed.
-succeeded=0
-failed=0
-failed_list=()
-for test in ${test_executables[*]}; do
- "$test"
- result=$?
- if [ $result -eq 0 ]; then
- succeeded=$(( $succeeded + 1 ))
- else
- failed=$(( failed + 1 ))
- failed_list="$failed_list $test"
- fi
-done
-
-# Report the successes and failures to the console.
-echo "Tests complete with $succeeded successes and $failed failures."
-if [ $failed -ne 0 ]; then
- echo "The following tests failed:"
- echo $failed_list
-fi
-exit $failed
+#!/bin/bash + +# Executes the samples and tests for the Google Test Framework. + +# Help the dynamic linker find the path to the libraries. +export DYLD_FRAMEWORK_PATH=$BUILT_PRODUCTS_DIR +export DYLD_LIBRARY_PATH=$BUILT_PRODUCTS_DIR + +# Create some executables. +test_executables=("$BUILT_PRODUCTS_DIR/gtest_unittest-framework" + "$BUILT_PRODUCTS_DIR/gtest_unittest" + "$BUILT_PRODUCTS_DIR/sample1_unittest-framework" + "$BUILT_PRODUCTS_DIR/sample1_unittest-static") + +# Now execute each one in turn keeping track of how many succeeded and failed. +succeeded=0 +failed=0 +failed_list=() +for test in ${test_executables[*]}; do + "$test" + result=$? + if [ $result -eq 0 ]; then + succeeded=$(( $succeeded + 1 )) + else + failed=$(( failed + 1 )) + failed_list="$failed_list $test" + fi +done + +# Report the successes and failures to the console. +echo "Tests complete with $succeeded successes and $failed failures." +if [ $failed -ne 0 ]; then + echo "The following tests failed:" + echo $failed_list +fi +exit $failed |